.\" Copyright (c) 1980, 1991, 1993, 1994
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)alarm.3	8.2 (Berkeley) 4/19/94
.\"
.Dd April 19, 1994
.Dt ALARM 3
.Os BSD 4
.Sh NAME
.Nm alarm
.Nd set signal timer alarm
.Sh SYNOPSIS
.Fd #include <unistd.h>
.Ft unsigned int
.Fn alarm "unsigned int seconds"
.Sh DESCRIPTION
.Bf -symbolic
This interface is made obsolete by setitimer(2).
.Ef
.Pp
The
.Fn alarm
function sets a timer to deliver the signal
.Dv SIGALRM 
to the calling process after the specified number of
.Fa seconds .
If an alarm has already been set with
.Fn alarm 
but has not been delivered, another call to
.Fn alarm
will supersede the prior call.
The request
.Fn alarm "0"
voids the current
alarm and the signal SIGALRM will not be delivered.
.Pp
Due to
.Xr setitimer 2
restriction the maximum number of
.Ar seconds
allowed is 100000000.
.Sh RETURN VALUES
.Pp
The return value of 
.Fn alarm
is the amount of time left on the timer from a previous call to
.Fn alarm .
If no alarm is currently set, the return value is 0.
.Sh SEE ALSO
.Xr setitimer 2 ,
.Xr sigaction 2 ,
.Xr sigpause 2 ,
.Xr sigvec 2 ,
.Xr signal 3 ,
.Xr sleep 3 ,
.Xr ualarm 3 ,
.Xr usleep 3
.\" .Sh STANDARDS
.\" The
.\" .Fn alarm
.\" function conforms to 
.\" .St -p1003.1-90 .
.Sh HISTORY
An
.Fn alarm
function appeared in 
.At v7 .
